import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "@/themes/global.less";
// 注册vant组件
import {
  Search,
  List,
  Icon,
  Cell,
  CellGroup,
  loading,
  Button,
  Toast,
  Tab,
  Tabs,
  Tabbar,
  TabbarItem,
  Col,
  Row,Popup
} from "vant";
Vue.use(Popup);

Vue.use(Icon);
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(loading);
Vue.use(Button);
Vue.use(Toast);
Vue.use(Tabs);
Vue.use(Tab);
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(Col);
Vue.use(Row);
Vue.use(Search);
Vue.use(List);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
