import Vue from "vue";
import VueRouter from "vue-router";
import Index from "../views/index";
import Exam from "../views/exam/index";
import Video from "../views/video/index";
import Profile from "../views/profile/index";

import hospitalFinalExam from "../views/exam/hospitalFinalExam/index";


Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "Index",
    component: Index,
    children:[
      {
        path: 'exam',
        component: Exam
      },
      {
        path: '/video',
        component: Video
      },
      {
        path: '/profile',
        component: Profile
      },
      {
        path: '/hospital-final-exam',
        component: hospitalFinalExam,
       },
      
    ]
  }
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes
});

export default router;
